Syncware
  1. Customers
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Customers

Query All Customers

GET
/customers
Customers
Last modified:2026-10-22 03:17:43

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.syncware.com/api/v1/customers?lastUpdateDate={lastUpdateDate}&page={page}&limit={limit}&skip={skip}&sort={sort}&sortDirection={sortDirection}&filterText={filterText}&category={category}&brand={brand}' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "Total": 120,
    "CustomerList": [
        {
            "Id": 6,
            "CustId": "800001EB-1441881488",
            "Company": "2013 March Inventory",
            "Name": "2013 March Inventory",
            "Phone": "5152222356",
            "Fax": "",
            "Email": "someemail@gmail.com",
            "Address": "111 Main St",
            "Address2": "Ste 2",
            "City": "Boston",
            "State": "MA",
            "Zip": "01220",
            "Country": "US",
            "IsActive": true,
            "IsAppointment": null,
            "DoNotCall": true,
            "Warehouse": "",
            "CurrencySymbol": "$",
            "LastOrderDate": "2021-06-12T15:23:03.000Z",
            "NextCallDate": null,
            "LastCallDate": null
        }
    ]
}
Previous
Set Upload for Chain
Next
Query Single Customer
Built with